| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMLocator Class Reference

DOMLocator is an interface that describes a location. More...

`#include <DOMLocator.hpp>`

List of all members.

## Public Methods

Destructor
virtual | ~DOMLocator ()
| Destructor.
Functions introduced in DOM Level 3
virtual XMLSSize_t | getLineNumber ()const=0
| Get the line number where the error occured. More...
virtual XMLSSize_t | getColumnNumber ()const=0
| Get the column number where the error occured. More...
virtual XMLSSize_t | getOffset ()const=0
| Get the byte or character offset into the input source, if we're parsing a file or a byte stream then this will be the byte offset into that stream, but if a character media is parsed then the offset will be the character offset. More...
virtual DOMNode* | getErrorNode ()const=0
| Get the DOMNode where the error occured, or `null` if there is no node available. More...
virtual const XMLCh* | getURI ()const=0
| Get the URI where the error occured, or `null` if there is no URI available. More...
virtual void | setLineNumber (const XMLSSize_t lineNumber)=0
| Set the line number of the error. More...
virtual void | setColumnNumber (const XMLSSize_t columnNumber)=0
| Set the column number of the error. More...
virtual void | setOffset (const XMLSSize_t offset)=0
| Set the byte/character offset. More...
virtual void | setErrorNode (DOMNode *const errorNode)=0
| Set the DOMNode where the error occured. More...
virtual void | setURI (const XMLCh *const uri)=0
| Set the URI where the error occured. More...

## Protected Methods

Hidden constructors
| DOMLocator ()
| DOMLocator (const DOMLocator &)
DOMLocator& | operator= (const DOMLocator &)

## Detailed Description

DOMLocator is an interface that describes a location.

(e.g. where an error occured).

See also:
  DOMError::DOMError

Since:
  DOM Level 3

## Constructor & Destructor Documentation

DOMLocator::DOMLocator ( | )`[protected]`

DOMLocator::DOMLocator ( | const DOMLocator & )`[protected]`

DOMLocator::~DOMLocator ( | )`[virtual]`

| Destructor.

## Member Function Documentation

XMLSSize_t DOMLocator::getColumnNumber ( | ) const`[pure virtual]`

Get the column number where the error occured.

The value is -1 if there is no column number available.

"Experimental - subject to change"

See also:
  setColumnNumber

Since:
  DOM Level 3

DOMNode * DOMLocator::getErrorNode ( | ) const`[pure virtual]`

Get the DOMNode where the error occured, or `null` if there is no node available.

"Experimental - subject to change"

See also:
  setErrorNode

Since:
  DOM Level 3

XMLSSize_t DOMLocator::getLineNumber ( | ) const`[pure virtual]`

Get the line number where the error occured.

The value is -1 if there is no line number available.

"Experimental - subject to change"

See also:
  setLineNumber

Since:
  DOM Level 3

XMLSSize_t DOMLocator::getOffset ( | ) const`[pure virtual]`

Get the byte or character offset into the input source, if we're parsing a file or a byte stream then this will be the byte offset into that stream, but if a character media is parsed then the offset will be the character offset.

The value is -1 if there is no offset available.

"Experimental - subject to change"

See also:
  setOffset

Since:
  DOM Level 3

const XMLCh * DOMLocator::getURI ( | ) const`[pure virtual]`

Get the URI where the error occured, or `null` if there is no URI available.

"Experimental - subject to change"

See also:
  setURI

Since:
  DOM Level 3

DOMLocator & DOMLocator::operator= ( | const DOMLocator & )`[protected]`

void DOMLocator::setColumnNumber ( | const XMLSSize_t columnNumber )`[pure virtual]`

Set the column number of the error.

"Experimental - subject to change"

Parameters:

  columnNumber | the column number to set.

See also:
  getColumnNumner

Since:
  DOM Level 3

void DOMLocator::setErrorNode ( | DOMNode *const errorNode )`[pure virtual]`

Set the DOMNode where the error occured.

"Experimental - subject to change"

Parameters:

  errorNode | the DOMNode to set

See also:
  getErrorNode

Since:
  DOM Level 3

void DOMLocator::setLineNumber ( | const XMLSSize_t lineNumber )`[pure virtual]`

Set the line number of the error.

"Experimental - subject to change"

Parameters:

  lineNumber | the line number to set

See also:
  getLinNumner

Since:
  DOM Level 3

void DOMLocator::setOffset ( | const XMLSSize_t offset )`[pure virtual]`

Set the byte/character offset.

"Experimental - subject to change"

Parameters:

  offset | the byte/characte offset to set.

See also:
  getOffset

Since:
  DOM Level 3

void DOMLocator::setURI ( | const XMLCh *const uri )`[pure virtual]`

Set the URI where the error occured.

"Experimental - subject to change"

Parameters:

  uri | the URI to set.

See also:
  getURI

Since:
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMLocator.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.